Summary: WPA/WPA2/IEEE 802.1X Supplicant
Name: wpa_supplicant
Epoch: 1
Version: 0.5.10
Release: 10%{?dist}
License: BSD
Group: System Environment/Base
Source0: http://hostap.epitest.fi/releases/%{name}-%{version}.tar.gz
Source1: %{name}.config
Source2: %{name}.conf
Source3: %{name}.init.d
Source4: %{name}.sysconfig
Source5: madwifi-headers-r1475.tar.bz2
Source6: %{name}.logrotate

Patch0: wpa_supplicant-assoc-timeout.patch
# Upstream in 0.6.x
Patch1: wpa_supplicant-fix-deprecated-dbus-function.patch
Patch2: wpa_supplicant-0.5.7-qmake-location.patch
Patch3: wpa_supplicant-0.5.7-flush-debug-output.patch
Patch4: wpa_supplicant-0.5.7-use-IW_ENCODE_TEMP.patch
Patch5: wpa_supplicant-0.5.10-dbus-service-file.patch
Patch6: wpa_supplicant-0.5.10-default-log-file.patch
# Upstream in 0.6.x
Patch7: wpa_supplicant-0.6.3-wext-dont-overwrite-BSS-frequency.patch
# Upstream in 0.6.x
Patch8: wpa_supplicant-0.6.3-dont-reschedule-specific-scans.patch
# Upstream in 0.6.x
Patch9: wpa_supplicant-0.6.3-wext-handle-mac80211-mode-switches.patch
# Upstream in 0.6.x
Patch10: wpa_supplicant-0.6.3-wpa-gui-fixes.patch
# Backported from 0.6.x
Patch11: wpa_supplicant-0.6.3-wext-scan-parser-crash-fix.patch
Patch12: wpa_supplicant-0.5.10-rsn-race-fix.patch
Patch13: wpa_supplicant-0.6.4-mac80211-mode-order-fix.patch
Patch14: wpa_supplicant-0.5.10-ipw-iwl-dropout.patch
Patch15: rh506230-wpa-drv-wext-disconnect-fixes.patch
Patch16: rh506230-handle-driver-disconnect-spam.patch
# Upstream in 0.6.1
Patch17: wpa_supplicant-0.6.1-ntpasswordhash.patch

URL: http://w1.fi/wpa_supplicant/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: qt-devel
BuildRequires: openssl-devel
BuildRequires: readline-devel
BuildRequires: dbus-devel

PreReq: chkconfig

%description
wpa_supplicant is a WPA Supplicant for Linux, BSD and Windows with support 
for WPA and WPA2 (IEEE 802.11i / RSN). Supplicant is the IEEE 802.1X/WPA 
component that is used in the client stations. It implements key negotiation 
with a WPA Authenticator and it controls the roaming and IEEE 802.11 
authentication/association of the wlan driver.

%package gui
Summary: Graphical User Interface for %{name}
Group: Application/System

%description gui
Graphical User Interface for wpa_supplicant written using QT3

%prep
%setup -q
%patch0 -p1 -b .assoc-timeout
%patch1 -p0 -b .fix-deprecated-dbus-functions
%patch2 -p1 -b .qmake-location
%patch3 -p1 -b .flush-debug-output
%patch4 -p1 -b .use-IW_ENCODE_TEMP
%patch5 -p1 -b .dbus-service-file
%patch6 -p1 -b .default-log-file
%patch7 -p1 -b .bss-freq
%patch8 -p3 -b .ssid-scans
%patch9 -p3 -b .mac80211-mode
%patch10 -p1 -b .wpa-gui-fixes
%patch11 -p1 -b .scan-parse-crash
%patch12 -p1 -b .rsn-race-fix
%patch13 -p1 -b .mode-order-fix
%patch14 -p1 -b .ipw-iwl-disassoc
%patch15 -p1 -b .wext-disconnect
%patch16 -p1 -b .handle-driver-disconnect-spam
%patch17 -p1 -b .ntpasswordhash

%build
cp %{SOURCE1} ./.config
tar -xjf %{SOURCE5}
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ;
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ;
make %{_smp_mflags}
unset QTDIR && . /etc/profile.d/qt.sh
make wpa_gui %{_smp_mflags}

%install
rm -rf %{buildroot}

# init scripts
install -d %{buildroot}/%{_sysconfdir}/rc.d/init.d
install -d %{buildroot}/%{_sysconfdir}/sysconfig
install -m 0755 %{SOURCE3} %{buildroot}/%{_sysconfdir}/rc.d/init.d/%{name}
install -m 0644 %{SOURCE4} %{buildroot}/%{_sysconfdir}/sysconfig/%{name}
install -d %{buildroot}/%{_sysconfdir}/logrotate.d
install -m 0644 %{SOURCE6} %{buildroot}/%{_sysconfdir}/logrotate.d/%{name}

# config
install -d %{buildroot}/%{_sysconfdir}/%{name}
install -m 0600 %{SOURCE2} %{buildroot}/%{_sysconfdir}/%{name}

# binary
install -d %{buildroot}/%{_sbindir}
install -m 0755 wpa_passphrase %{buildroot}/%{_sbindir}
install -m 0755 wpa_cli %{buildroot}/%{_sbindir}
install -m 0755 wpa_supplicant %{buildroot}/%{_sbindir}
install -d %{buildroot}/%{_sysconfdir}/dbus-1/system.d/
install -m 0644 dbus-wpa_supplicant.conf %{buildroot}/%{_sysconfdir}/dbus-1/system.d/wpa_supplicant.conf
install -d %{buildroot}/%{_datadir}/dbus-1/system-services/
install -m 0644 dbus-wpa_supplicant.service %{buildroot}/%{_datadir}/dbus-1/system-services/fi.epitest.hostap.WPASupplicant.service

# gui
install -d %{buildroot}/%{_bindir}
install -m 0755 wpa_gui/wpa_gui %{buildroot}/%{_bindir}

# running
mkdir -p %{buildroot}/%{_localstatedir}/run/%{name}

# man pages
install -d %{buildroot}%{_mandir}/man{5,8}
install -m 0644 doc/docbook/*.8 %{buildroot}%{_mandir}/man8
install -m 0644 doc/docbook/*.5 %{buildroot}%{_mandir}/man5

# some cleanup in docs
rm -f  doc/.cvsignore
rm -rf doc/docbook


%clean
rm -rf %{buildroot}

%post
if [ $1 = 1 ]; then
	chkconfig --add %{name}
fi

%preun
if [ $1 = 0 ]; then
	service %{name} stop > /dev/null 2>&1
	/sbin/chkconfig --del %{name}
fi


%files
%defattr(-, root, root)
%doc COPYING ChangeLog README eap_testing.txt todo.txt wpa_supplicant.conf examples
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_sysconfdir}/rc.d/init.d/%{name}
%{_sysconfdir}/dbus-1/system.d/%{name}.conf
%{_datadir}/dbus-1/system-services/fi.epitest.hostap.WPASupplicant.service
%{_sbindir}/wpa_passphrase
%{_sbindir}/wpa_supplicant
%{_sbindir}/wpa_cli
%dir %{_localstatedir}/run/%{name}
%dir %{_sysconfdir}/%{name}
%{_mandir}/man8/*
%{_mandir}/man5/*

%files gui
%defattr(-, root, root)
%{_bindir}/wpa_gui

%changelog
* Tue Jun 25 2013 Dan Winship <danw@redhat.com> - 0.5.10-10
- Backport support for hashed passwords (rh #955153)

* Mon Dec 14 2009 Dan Williams <dcbw@redhat.com> - 0.5.10-9
- Force-disconnect at init, deinit, deauth, and disassoc
- Ignore torrents of disconnect events from the iwl drivers
- Resolves: #506230

* Wed Dec  3 2008 Dan Williams <dcbw@redhat.com> - 0.5.10-8
- Generalize disconnection-during-association fixes to iwl3945 and iwlagn
- Force drivers to disassociate when required (see also #468967)
- Resolves: #468441

* Tue Nov 18 2008 Dan Williams <dcbw@redhat.com> - 0.5.10-7
- Better handle ipw3945 disconnections during association
- Resolves: #468441

* Tue Sep  2 2008 Dan Williams <dcbw@redhat.com> - 0.5.10-6
- Rebase to 0.5.10 + backports from F-8 (rh #455789, rh #449605)

* Wed Jan 16 2008 Dan Williams <dcbw@redhat.com> - 0.4.8-10.2
- Backport the 'fragment_size' config option (Resolves: #427843)
- Fix the 'condrestart' function of the sysvint script (Resolves: #217281)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.4.8-10.1
- rebuild

* Thu Apr 27 2006 Dan Williams <dcbw@redhat.com> - 0.4.8-10
- Add fix for madwifi and WEP (wpa_supplicant/hostap bud #140) (#rh190075#)
- Fix up madwifi-ng private ioctl()s for r1331 and later
- Update madwifi headers to r1475

* Tue Apr 25 2006 Dan Williams <dcbw@redhat.com> - 0.4.8-9
- Enable Wired driver, PKCS12, and Smartcard options (#rh189805#)

* Tue Apr 11 2006 Dan Williams <dcbw@redhat.com> - 0.4.8-8
- Fix control interface key obfuscation a bit

* Sun Apr  2 2006 Dan Williams <dcbw@redhat.com> - 0.4.8-7
- Work around older & incorrect drivers that return null-terminated SSIDs

* Mon Mar 27 2006 Dan Williams <dcbw@redhat.com> - 0.4.8-6
- Add patch to make orinoco happy with WEP keys
- Enable Prism54-specific driver
- Disable ipw-specific driver; ipw2x00 should be using WEXT instead

* Fri Mar  3 2006 Dan Williams <dcbw@redhat.com> - 0.4.8-5
- Increase association timeout, mainly for drivers that don't
	fully support WPA ioctls yet

* Fri Mar  3 2006 Dan Williams <dcbw@redhat.com> - 0.4.8-4
- Add additional BuildRequires #rh181914#
- Add prereq on chkconfig #rh182905# #rh182906#
- Own /var/run/wpa_supplicant and /etc/wpa_supplicant #rh183696#

* Wed Mar  1 2006 Dan Williams <dcbw@redhat.com> - 0.4.8-3
- Install wpa_passphrase too #rh183480#

* Mon Feb 27 2006 Dan Williams <dcbw@redhat.com> - 0.4.8-2
- Don't expose private data on the control interface unless requested

* Fri Feb 24 2006 Dan Williams <dcbw@redhat.com> - 0.4.8-1
- Downgrade to 0.4.8 stable release rather than a dev release

* Sun Feb 12 2006 Dan Williams <dcbw@redhat.com> - 0.5.1-3
- Documentation cleanup (Terje Rosten <terje.rosten@ntnu.no>)

* Sun Feb 12 2006 Dan Williams <dcbw@redhat.com> - 0.5.1-2
- Move initscript to /etc/rc.d/init.d

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.5.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.5.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Feb  5 2006 Dan Williams <dcbw@redhat.com> 0.5.1-1
- Update to 0.5.1
- Add WE auth fallback to actually work with older drivers

* Thu Jan 26 2006 Dan Williams <dcbw@redhat.com> 0.4.7-2
- Bring package into Fedora Core
- Add ap_scan control interface patch
- Enable madwifi-ng driver

* Sun Jan 15 2006 Douglas E. Warner <silfreed@silfreed.net> 0.4.7-1
- upgrade to 0.4.7
- added package w/ wpa_gui in it

* Mon Nov 14 2005 Douglas E. Warner <silfreed@silfreed.net> 0.4.6-1
- upgrade to 0.4.6
- adding ctrl interface changes recommended 
  by Hugo Paredes <hugo.paredes@e-know.org>

* Sun Oct  9 2005 Douglas E. Warner <silfreed@silfreed.net> 0.4.5-1
- upgrade to 0.4.5
- updated config file wpa_supplicant is built with
  especially, the ipw2100 driver changed to just ipw
  and enabled a bunch more EAP
- disabled dist tag

* Thu Jun 30 2005 Douglas E. Warner <silfreed@silfreed.net> 0.4.2-3
- fix typo in init script

* Thu Jun 30 2005 Douglas E. Warner <silfreed@silfreed.net> 0.4.2-2
- fixing init script using fedora-extras' template
- removing chkconfig default startup

* Tue Jun 21 2005 Douglas E. Warner <silfreed@silfreed.net> 0.4.2-1
- upgrade to 0.4.2
- new sample conf file that will use any unrestricted AP
- make sysconfig config entry
- new BuildRoot for Fedora Extras
- adding dist tag to Release

* Fri May 06 2005 Douglas E. Warner <silfreed@silfreed.net> 0.3.8-1
- upgrade to 0.3.8

* Thu Feb 10 2005 Douglas E. Warner <silfreed@silfreed.net> 0.3.6-2
- compile ipw driver in

* Wed Feb 09 2005 Douglas E. Warner <silfreed@silfreed.net> 0.3.6-1
- upgrade to 0.3.6

* Thu Dec 23 2004 Douglas E. Warner <silfreed@silfreed.net> 0.2.5-4
- fixing init script

* Mon Dec 20 2004 Douglas E. Warner <silfreed@silfreed.net> 0.2.5-3
- fixing init script
- adding post/preun items to add/remove via chkconfig

* Mon Dec 20 2004 Douglas E. Warner <silfreed@silfreed.net> 0.2.5-2
- adding sysV scripts

* Mon Dec 20 2004 Douglas E. Warner <silfreed@silfreed.net> 0.2.5-1
- Initial RPM release.

